<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<title>${team} Merges</title>
<link rel="stylesheet" type="text/css" href="style.css"/>
</head>

<body>
<h1>${team} merges</h1>
<p id="lastupdate">Last update:
<span class="date">
<% import datetime %>
${ datetime.datetime.utcnow().strftime("%Y-%m-%d %H:%M (UTC)") }
</span>
</p>
<ul id="mergeoverview">
<h2>Overview</h2>
% for m in merges:
<li class="${m.comp}merge"><h3 id="${ m.name }overview"><a href="#${ m.name }details">${ m.name }</a> ( ${m.comp}
% if m.outstanding:
- Outstanding
% endif
)</h3>
        <p>Ubuntu: <span class="u_version">${m.ubuntu_version}</span> - Debian:
        <span class="d_version">${m.debian_version}</span></p>
        <p>Ubuntu diffstats: <span class="diffstats"> ${ m.short_udstats }</span></p>
	<p><a href="#${ m.name }details">${m.name} merge details</a></p>
    </li>
% endfor
</ul>
<ul id="mergedetails">
<h2>Details</h2>
% for m in merges:
	<li id="${ m.name }details">
	<h3>${ m.name } ( ${m.comp}
% if m.outstanding:
- Outstanding
% endif
)</h3>
	<table>
		<tr>
			<th>Base - ${ m.base_version }</th>
			<th>Ubuntu - <span class="u_version">${m.ubuntu_version}</span></th>
			<th>Debian - <span class="d_version">${m.debian_version}</span></th>
		</tr>
		<tr>
			<td>Changelogs</td>
			<td class="udata"><pre>${m.uchlog}</pre></td>
			<td class="ddata"><pre>${m.dchlog}</pre></td>
		</tr>
            	<tr>
			<td>Debian directory diff stats</td>
			<td class="udata"><pre>${m.udebdirstats}</pre></td>
			<td class="ddata"><pre>${m.ddebdirstats}</pre></td>
		</tr>
            	<tr>
			<td>Complete diff stats</td>
			<td class="udata"><pre>${m.udstats}</pre></td>
			<td class="ddata"><pre>${m.ddstats}</pre></td>
		</tr>
	</table>
	<a href="#${m.name}overview">Back to merge overview</a>
        </li>
% endfor
</ul>
</body>
</html>
